# Enum CalendarError

java.lang.Object
java.lang.Enum<CalendarError>
com.codename1.calendar.CalendarError

All Implemented Interfaces:
  `Comparable<CalendarError>`

public enum CalendarError extends Enum<CalendarError>
Portable failure categories for calendar operations.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTHENTICATION_REQUIRED`
  `CANCELED`
  `CONFLICT`
  `INVALID_ARGUMENT`
  `MALFORMED_RESPONSE`
  `NETWORK`
  `NOT_AVAILABLE`
  `NOT_FOUND`
  `NOT_SUPPORTED`
  `PERMISSION_DENIED`
  `RATE_LIMITED`
  `READ_ONLY`
  `STORAGE`
  `SYNC_TOKEN_EXPIRED`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalendarError`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CalendarError[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_AVAILABLE

    public static final CalendarError NOT_AVAILABLE

  - ### NOT_SUPPORTED

    public static final CalendarError NOT_SUPPORTED

  - ### PERMISSION_DENIED

    public static final CalendarError PERMISSION_DENIED

  - ### AUTHENTICATION_REQUIRED

    public static final CalendarError AUTHENTICATION_REQUIRED

  - ### INVALID_ARGUMENT

    public static final CalendarError INVALID_ARGUMENT

  - ### NOT_FOUND

    public static final CalendarError NOT_FOUND

  - ### READ_ONLY

    public static final CalendarError READ_ONLY

  - ### CONFLICT

    public static final CalendarError CONFLICT

  - ### RATE_LIMITED

    public static final CalendarError RATE_LIMITED

  - ### SYNC_TOKEN_EXPIRED

    public static final CalendarError SYNC_TOKEN_EXPIRED

  - ### NETWORK

    public static final CalendarError NETWORK

  - ### CANCELED

    public static final CalendarError CANCELED

  - ### MALFORMED_RESPONSE

    public static final CalendarError MALFORMED_RESPONSE

  - ### STORAGE

    public static final CalendarError STORAGE

  - ### UNKNOWN

    public static final CalendarError UNKNOWN

- ## Method Details

  - ### values

    public static CalendarError[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CalendarError valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null